API ReferenceapibookingDELETE /v1/bookings/{id}

DELETE /v1/bookings/\{id\}

Service: booking · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • id (string) required

Responses

200 Office-hour booking cancelled

{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "office_hour_id": {
      "type": "string"
    },
    "patient_id": {
      "type": "string"
    },
    "slot_at": {
      "type": "string",
      "format": "date-time"
    },
    "duration_minutes": {
      "type": "number"
    },
    "status": {
      "type": "string"
    },
    "notes": {
      "type": [
        "string",
        "null"
      ]
    },
    "created_at": {
      "type": "string"
    }
  },
  "required": [
    "id",
    "office_hour_id",
    "patient_id",
    "slot_at",
    "duration_minutes",
    "status",
    "notes",
    "created_at"
  ]
}

403 Booking is outside the current patient or brand

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

404 Booking not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

412 Booking cannot be cancelled

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X DELETE https://booking.platform.loop.health/v1/bookings/{id} \
  -H "Authorization: Bearer $ACCESS_TOKEN"